org.apache.ignite.spi.systemview.view.datastructures

## Class ReentrantLockView

- java.lang.Object
- - org.apache.ignite.spi.systemview.view.datastructures.ReentrantLockView

-     public class ReentrantLockView
      extends Object

  `IgniteLock` representation for a `SystemView`.
  See Also:
    `Ignite.reentrantLock(String, boolean, boolean, boolean)`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected T` | `ds` Data structure instance.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReentrantLockView(org.apache.ignite.internal.processors.datastructures.GridCacheRemovable ds)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `broken()`
    `boolean` | `failoverSafe()`
    `boolean` | `fair()`
    `int` | `groupId()`
    `String` | `groupName()`
    `boolean` | `hasQueuedThreads()`
    `boolean` | `locked()`
    `String` | `name()`
    `boolean` | `removed()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ds

          protected final T extends org.apache.ignite.internal.processors.datastructures.AtomicDataStructureProxy ds

      Data structure instance.

  - ### Constructor Detail

    - #### ReentrantLockView

          public ReentrantLockView(org.apache.ignite.internal.processors.datastructures.GridCacheRemovable ds)

      Parameters:
        `ds` - Data structure instance.

  - ### Method Detail

    - #### locked

          public boolean locked()

      Returns:
        `True` if locked.
      See Also:
        `IgniteLock.isLocked()`

    - #### hasQueuedThreads

          public boolean hasQueuedThreads()

      Returns:
        `True` if there may be other threads waiting to acquire the lock.
      See Also:
        `IgniteLock.hasQueuedThreads()`

    - #### failoverSafe

          public boolean failoverSafe()

      Returns:
        `True` if this semaphore is failover safe.
      See Also:
        `IgniteLock.isFailoverSafe()`

    - #### fair

          public boolean fair()

      Returns:
        `True` if this lock is fair.
      See Also:
        `IgniteLock.isFair()`

    - #### broken

          public boolean broken()

      Returns:
        `True` if a node failed on this semaphore and `failoverSafe()` flag was set to `false`, `false` otherwise.
      See Also:
        `IgniteLock.isBroken()`

    - #### name

          public String name()

      Returns:
        Name.

    - #### groupName

          public String groupName()

      Returns:
        Group name.

    - #### groupId

          public int groupId()

      Returns:
        Group id.

    - #### removed

          public boolean removed()

      Returns:
        `True` is data structure removed.

${current.year} Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.16.0
Release Date | : December 15 2023